<!-- 本示例未包含完整css，获取外链css请参考上文，在hello uni-app项目中查看 -->
<template>
	<view>
		<view>
			<view class="uni-form-item">
				<view class="title">链接key:</view>
				<view>
					<input v-model="keyname" style="height: 2.4rem; border: 1px solid;" placeholder="输入短链key" />
				</view>
			</view>
			<view class="uni-form-item">
				<view class="title">时间:</view>
				<view>
					<view style="line-height: 2.3rem;" @click="datetimeshow()">{{showtime}}</view>
					<h-datetime-picker :startTime="startTime" :endTime="endTime" mode="multiple" ref="pickerDate"
						@reset="reset" @confirm="confirm"></h-datetime-picker>
				</view>
			</view>
			<view class="uni-form-item">
				<view class="title">发送数量:</view>
				<view>
					<input v-model="sendcount" style="height: 2.4rem; border: 1px solid;" placeholder="请输入发送数量" />
				</view>
			</view>
			<view class="uni-btn-v">
				<button @click="formSubmit()">查询</button>
			</view>
			<view class="resshowtxt" v-if="res_key">
				<view>
					链接key：{{res_key}}
				</view>
				<view>
					Pv：{{res_pv}}------{{pvrate}}
				</view>
				<view>
					Uv：{{res_uv}}-------{{uvrate}}
				</view>
			</view>

		</view>
	</view>
</template>


<script>
	import timeFormat from "@/uni_modules/h-datetime-picker/js/timeFormat.js"
	export default {
		data() {
			return {
				timeFormat,
				sendcount:10000,
				keyname: '',
				startTime: '',
				endTime: '',
				showtime: '点击选择时间',
				res_key: '',
				res_pv: '',
				res_uv: '',
				pvrate:0,
				uvrate:0
			}
		},
		onLoad() {
			let end_time = new Date();
			let startdate = end_time.setDate(new Date(end_time).getDate() - 3);
			this.startTime = this.timeFormat(startdate, 'yyyy-mm-dd');
			this.endTime = this.timeFormat(new Date(), 'yyyy-mm-dd');
		},
		methods: {
			datetimeshow() {
				this.$refs.pickerDate.open()
			},
			reset() {
				this.showtime = '';
				this.startTime = '';
				this.endTime = '';
			},
			confirm(e) {
				this.showtime = e.start_time.time + "至" + e.end_time.time;
				this.startTime = e.start_time.time;
				this.endTime = e.end_time.time;
			},
			formSubmit() {
				let data = {
					key: this.keyname,
					MinCreateTime: this.startTime,
					MaxCreateTime: this.endTime
				}
				console.log(data);
				uni.showLoading({
					title: '查询中',
					mask: true
				});
				var that = this;
				this.$http.post('/openwize/Top/GePvUvByKey', data).then(e => {
					uni.hideLoading();
					this.res_key = e.result.key;
					this.res_pv = e.result.pv;
					this.res_uv = e.result.uv;
					if(this.sendcount>0)
					{//计算点击率
						this.pvrate=((e.result.pv/this.sendcount).toFixed(2))*100+"%";
						this.uvrate=((e.result.uv/this.sendcount).toFixed(2))*100+"%";
					}
				}).catch(function(err) {
					console.log(err);
				})
			}
		}
	}
</script>


<style>
	.resshowtxt {
		margin-top: 1rem;
		font-size: 1.5rem;
	}

	.uni-form-item {
		display: flex;
		margin: 0.4rem;
	}

	.uni-form-item .title {
		padding: 20rpx 0;
		margin-right: 1.6rem;
	}
</style>